package com.jwipc.sys.mapper;

import com.jwipc.sys.entity.Dict;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jwipc.sys.model.po.DictByTypePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 数据字典主数据表 Mapper 接口
 * </p>
 *
 * @author zhangjie
 * @since 2024-01-29
 */
public interface DictMapper extends BaseMapper<Dict> {

    List<DictByTypePO> selectDictByType(@Param("type") String type);

    List<DictByTypePO> selectDictByTypes(@Param("types")List<String> typeCodes);

    DictByTypePO selectDictByTypeAndCode(@Param("type")String type,@Param("code") String code);
    DictByTypePO selectDictByTypeAndName(@Param("type")String type,@Param("name") String name);
}
